set ylabel "$\\ell_1$" norotate
set xlabel "$\\ell_0$"

# default output canvas size: 12.5cm x 8.75cm
set term lua tikz size 8,6 standalone

unset key

set pointsize 1

# color functions

rgb(r,g,b) = 65536 * int(r) + 256 * int(g) + int(b)
color(x) = rgb(x*255, 0 , (1-x)*255)

# get min/max
set yrange [-1000:1000]
stats "sd_vector_field.dat" u (log10(sqrt(($3-$1)**2+($4-$2)**2)))

set xrange [-1:0.5]
set yrange [-0.4:0.4]

rescale=40

plot "sd_vector_field.dat" u 1:2:(($3-$1)/sqrt(($3-$1)**2+($4-$2)**2)/rescale):(($4-$2)/sqrt(($3-$1)**2+($4-$2)**2)/rescale):(color((log10(sqrt(($3-$1)**2+($4-$2)**2))-STATS_min)/(STATS_max-STATS_min))) with vec filled head linecolor rgb variable
